//mod was made by mcpemodmaker
ModPE.setItem(369, "blaze_rod", 0, "Hidden Blade");
ModPE.setItem(377, "blaze_powder", 0, "Hidden Blade");
ModPE.setItem(322, "apple_golden", 0, "Steel Ingot");
ModPE.langEdit("item.helmetChain.name","Assassin Hood");
ModPE.langEdit("item.chestplateChain.name","Assassin Vest");
ModPE.langEdit("item.leggingsChain.name","Assassin Pants");
ModPE.langEdit("item.bootsChain.name","Assassin Boots");
ModPE.setItem(385, "fireball", 0, "Stick With Leather");
ModPE.setItem(389, "item_frame", 0, "Tomahawk Head");
ModPE.setItem(370, "ghast_tear", 0, "Tomahawk");

Item.setMaxDamage(369,700);
Item.setCategory(369,3,0);
Item.setMaxDamage(370,700);
Item.setCategory(370,3,0);

Item.setHandEquipped(370, true);
Item.setHandEquipped(369, true);
Item.setHandEquipped(377, true);
Item.setHandEquipped(385, true);

Item.addShapedRecipe(377, 1, 0, 
["ll ",
"sss",
"ll "], ["l", 334, 0, "s", 322, 0]);

Item.addShapedRecipe(322, 1, 0,  
["   ",
"   ",
" ic"], ["i", 265, 0, "c", 263, 0]);

Item.addShapedRecipe(302, 1, 0, 
["ddd",
"d d",
"   "], ["d", 35, 11]);

Item.addShapedRecipe(303, 1, 0, 
["l d",
"dld",
"dwl"], ["l", 334, 0, "d", 35, 11, "w", 35, 0]);

Item.addShapedRecipe(304, 1, 0, 
["ggg",
"g g",
"g g"], [ "g", 35, 8]);

Item.addShapedRecipe(305, 1, 0, 
["   ",
"b b",
"b b"], [ "b", 35, 12]);

Item.addShapedRecipe(385, 1, 0, 
["s  ",
"sl ",
"s  "], ["s", 280, 0, "l", 334, 0]);

Item.addShapedRecipe(389, 1, 0,
["ss ",
"s s",
"ss "], ["s", 322, 0]);

Item.addShapedRecipe(370, 1, 0, 
["   ",
" t ",
" s "], ["t", 389, 0, "s", 385, 0]);

function useItem(x, y, z, ItemId, BlockId)
{
if(ItemId==377)
{
Entity.setCarriedItem(Player.getEntity(), 369, Player.getCarriedItemCount(), Player.getCarriedItemData());
}
if(ItemId==369)
{
Entity.setCarriedItem(Player.getEntity(), 377, Player.getCarriedItemCount(), Player.getCarriedItemData());
}
}
function attackHook(attacker, victim) {
function hurt(health) { if(Entity.getHealth(victim) > health) Entity.setHealth(victim, Entity.getHealth(victim) - health);
else {
Entity.setHealth(victim, 1);
}
}
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
if(attacker == Player.getEntity()) switch(Player.getCarriedItem()) {
case 369:
hurt(7);
}
var x = Entity.getX(victim);
var y = Entity.getY(victim);
var z = Entity.getZ(victim);
if(attacker == Player.getEntity()) switch(Player.getCarriedItem()) {
case 370:
hurt(9);
}
}